### A free/open-source library for quantitative finance

Public Member Functions
BoundaryConstraint Class Reference

Constraint imposing all arguments to be in [low,high] More...

`#include <ql/math/optimization/constraint.hpp>`

Inheritance diagram for BoundaryConstraint:
[legend]

List of all members.

## Public Member Functions

| BoundaryConstraint (Real low, Real high)

## Detailed Description

Constraint imposing all arguments to be in [low,high]